import createOutputFolder from './utils/build/createOutputFolder';
import generateWebpackOutput from './utils/build/generateWebpackOutput';
import mapStatsToOutput from './utils/build/mapStatsToOutput';

import handleError from './utils/messaging/messaging';

export default config => (
  createOutputFolder(config)
    .then(generateWebpackOutput(config))
    .then(mapStatsToOutput)
    .catch(handleError)
);
